hc-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From s...@apache.org
Subject svn commit: r1331155 - /httpcomponents/project/trunk/pom.xml
Date Fri, 27 Apr 2012 00:12:32 GMT
Author: sebb
Date: Fri Apr 27 00:12:32 2012
New Revision: 1331155

URL: http://svn.apache.org/viewvc?rev=1331155&view=rev
Log:
Add comments on changes
Update Felix bundle to 2.3.7 which should fix Java 1.5 issue

Modified:
    httpcomponents/project/trunk/pom.xml

Modified: httpcomponents/project/trunk/pom.xml
URL: http://svn.apache.org/viewvc/httpcomponents/project/trunk/pom.xml?rev=1331155&r1=1331154&r2=1331155&view=diff
==============================================================================
--- httpcomponents/project/trunk/pom.xml (original)
+++ httpcomponents/project/trunk/pom.xml Fri Apr 27 00:12:32 2012
@@ -40,6 +40,22 @@
   <description>Components to build HTTP enabled services</description>
   <inceptionYear>2005</inceptionYear>
 
+<!--
+Changes since previous version (5)
+==============================
+
+Added httpasyncclient module
+
+Buildnumber plugin changes:
+ - can now be disabled (-DbuildNumber.skip)
+ - defaults to SVN CLI, because javasvn currently fails with SVN 1.7 clients
+ - can revert to javasvn with -Pjavasvn
+
+Added default manifest entries to source jars
+
+Felix bundle plugin updated: 2.3.5 -> 2.3.7 (fixes Java 1.5 issue) 
+ -->
+
   <organization>
     <name>Apache Software Foundation</name>
     <url>http://www.apache.org/</url>
@@ -462,8 +478,7 @@
         <plugin>
           <groupId>org.apache.felix</groupId>
           <artifactId>maven-bundle-plugin</artifactId>
-          <!-- N.B. 2.3.5 does not work on Java 5; see profile java-1.5-detected for the
workround -->
-          <version>2.3.5</version>
+          <version>2.3.7</version>
         </plugin>
         <plugin>
           <artifactId>maven-notice-plugin</artifactId>
@@ -578,32 +593,6 @@
         </plugins>
       </build>
     </profile>
-    
-    <profile>
-      <!-- This profile detects Java 1.5 -->
-      <id>java-1.5-detected</id>
-      <activation>
-        <jdk>1.5</jdk>
-      </activation>
-      <build>
-        <plugins>
-          <!-- workround for FELIX-3037 which applies to bundle 2.3.5 -->
-          <plugin>
-            <!-- version 2.3.5 depends on bndlib 1.43.0 which requires Java 6; fix this
-->
-            <groupId>org.apache.felix</groupId>
-            <artifactId>maven-bundle-plugin</artifactId>
-            <dependencies>
-              <dependency>
-                <groupId>biz.aQute</groupId>
-                <artifactId>bndlib</artifactId>
-                <!-- 1.43.0 requires Java 6; use previous version which works with Java
5--> 
-                <version>1.15.0</version>
-              </dependency>
-            </dependencies>
-          </plugin>
-        </plugins>
-      </build>
-    </profile>
 
     <!-- 
         Automatically run the buildnumber plugin unless the buildNumber.skip property is
defined as true



Mime
View raw message